<?php
/*******************************************************************************/
//                          InstantCMS v1.10                                   //
//                      http://www.instantcms.ru/                              //
//                         component "SEO_PAGE" v1.2.0                         //
//                     written by Marat Fatikhov  aka Марат                    //
//                     http://www.instantcms.ru/users/marat                    //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

class cms_model_seo_page{

	function __construct(){
        $this->inDB = cmsDatabase::getInstance();
    }

    public function install(){

        return true;

    }

/* ==================================================================================================== */
/* ==================================================================================================== */

public function cpGetList($listtype){
   $list = array();
   
   $sql = "SELECT link, title FROM $listtype ORDER BY id ASC";
   $res = $this->inDB->query($sql);
   if ($this->inDB->num_rows($res)>0){
       while($item = $this->inDB->fetch_assoc($res)){
			   $next = sizeof($list);
			   $list[$next]['title'] = $item['title'];
			   $list[$next]['id'] = $item['link'];
		  }
   }
   
   return $list;
}

/* ==================================================================================================== */
/* ==================================================================================================== */

public function getSeoPage($id){
     $sql = "SELECT *
	 		       FROM cms_seo_page
				     WHERE id = $id LIMIT 1";
     $result = $this->inDB->query($sql) ;
     if (!$this->inDB->num_rows($result)){ return false;}

     $page = $this->inDB->fetch_assoc($result);
     return $page;
}

/* ==================================================================================================== */
/* ==================================================================================================== */

	public function deleteSeoPage($id){

		$inCore = cmsCore::getInstance();

        $this->inDB->query("DELETE FROM cms_seo_page WHERE id={$id}");
        //удаляем запись с файла custom_rewrite
        $content = '';
        $content = file_get_contents($_SERVER['DOCUMENT_ROOT'].'/custom_rewrite.php');
        $pattern = '/\\/\\/start_seo_page-'.$id.'(.*?)\\/\\/end_seo_page-'.$id.'/is';
        $content = preg_replace($pattern, '', $content);
        //удаляем теги комментариев, если было отключено
        $content = preg_replace('/\\/\\*\\*\\//is', '', $content);
        file_put_contents($_SERVER['DOCUMENT_ROOT'].'/custom_rewrite.php', $content);

        return true;
  }

/* ==================================================================================================== */
/* ==================================================================================================== */

    public function deleteSeoPages($id_list){
        foreach($id_list as $key=>$id){
            $this->deleteSeoPage($id);
        }
        return true;
    }

/* ==================================================================================================== */
/* ==================================================================================================== */

}//class
?>
